'use strict';
var server;
var express = require('express');



class Server {
  constructor() {
    console.log('Pin');
    this.app = express();
    this.app.get('/', (req, res) => {
      res.status(200)
        .send('Hello, world - PIN PIN PIN!');
    });
  }

  run() {
    var _server = this.app.listen(process.env.PORT || '8080', () => {
      console.log('App listening on port %s', _server.address()
        .port);
      console.log('Press Ctrl+C to quit.');
    });
  }
}

module.exports.getInstance = () => {
  if (!server) {
    server = new Server();
  }
  return server;
};
